Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed Affected version: 5.0.2
Description

On Chrome and Chrome-derived browsers on Windows, when selecting the issue number in the title an extra whitespace at the end
of the issue number.

Our analysis shows this is due to the combination of the class="inline-flex" and the newline \n separating the h2 title and the
open/closed span.

One way to fix this would be to remove the inline-flex css directive from the h2 title, this breaks the layout though. Another way would
be to remove the \n between the h2 and span elements. This might require some additional margin between the h2 and span
elements as the \n causes a visible space between the 2 elements.

Associated revisions

Revision 22663 - 2024-01-29 08:36 - Go MAEDA

Extraneous whitespace when selecting and copying issue number on Chrome/Windows (#37390).

Patch by Thomas Léber (@tloeber).

History

#1 - 2022-07-28 10:11 - Tomomi Yuzuriha

- File 37390-confirmed.png added

| have confirmed the issue.
37390-confirmed.png

#2 - 2022-10-02 10:10 - Marius BALTEANU

- Status changed from New to Confirmed

#3 - 2023-01-11 10:14 - Thomas Lober

- File Improve_issue_header _text_selection.patch added

That looks to me like a Chrome bug. Even when removing any whitespace between </h2> and the badge <span>, with the inline-flex display style
Chrome still selects the non-existing blank.

When using the inline-block display style instead, selecting the issue number works fine.

| have attached a patch.

#4 - 2023-01-23 03:59 - Go MAEDA

- Target version set to Candidate for next minor release

| have confirmed that Improve_issue_header_text_selection.patch fixes the issue.

#5 - 2023-12-28 02:50 - Go MAEDA

- Target version changed from Candidate for next minor release to 6.0.0

#6 - 2024-01-29 08:37 - Go MAEDA
https://www.redmine.org/attachments/30109

- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Files
37390-confirmed.png 29.3 KB 2022-07-28 Tomomi Yuzuriha
Improve_issue_header_text_selection.patch 1.61 KB 2023-01-11 Thomas Lober

2025-07-04

22


http://www.tcpdf.org

